#Create by Chen Gengxin
#2008-03-03
#WXC2 R9.0 ISDN makefile 

CC = gcc
CFLAG = -g -Wall -c #-fprofile-arcs -ftest-coverage

ISDN_LIB_OBJ = isdn_msg.o isdn_fsm.o isdn_uif.o isdn_rm.o isdn_ie.o isdn_debug.o

all: $(ISDN_LIB_OBJ)
#	ar -r libfsm.a $(ISDN_LIB_OBJ)

#test_sdl: $(ISDN_LIB_OBJ)
#	$(cc) -o $@ $< ../kernel/sched.o		
isdn_msg.o: isdn_msg.c ./include/isdn_msg.h ./include/isdn_ext.h ./include/isdn_const.h
	$(CC) $(CFLAG) $<

isdn_fsm.o: isdn_fsm.c
	$(CC) $(CFLAG) $<

isdn_uif.o: isdn_uif.c ./include/isdn_if.h
	$(CC) $(CFLAG) $<

isdn_rm.o: isdn_rm.c ./include/isdn_rm.h
	$(CC) $(CFLAG) $<

isdn_ie.o: isdn_ie.c ./include/isdn_ie.h
	$(CC) $(CFLAG) $<

isdn_debug.o: isdn_debug.c
	$(CC) $(CFLAG) $<
	
clean:
	rm -f main *.o *.a *.xml *.gcov *.gcda *.gcno test_sdl core 

